module Xfers
  module Connect
    RESOUCE_URL = '/authorize'

    def self.authorize(params, connect_key=nil)
      raise InvalidRequestError.new 'Params cannot be empty', 400 if params.nil? or params == ''
      Xfers::APIOperations.post params, "#{RESOUCE_URL}/signup_login", connect_key
    end

    def self.get_token(params, connect_key=nil)
      raise InvalidRequestError.new 'Params cannot be empty', 400 if params.nil? or params == ''
      Xfers::APIOperations.get params, "#{RESOUCE_URL}/get_token", connect_key
    end

  end
end