module Xfers
  module User
    RESOUCE_URL = '/user'

    def self.retrieve(connect_key=nil)
      Xfers::APIOperations.get nil, RESOUCE_URL, connect_key
    end

    def self.update(params, connect_key=nil)
      raise InvalidRequestError.new 'Params cannot be empty', 400 if params.nil?
      Xfers::APIOperations.put params, RESOUCE_URL, connect_key
    end

    def self.transfer_info(connect_key=nil)
      Xfers::APIOperations.get nil, "#{RESOUCE_URL}/transfer_info", connect_key
    end

    def self.activities(connect_key=nil)
      Xfers::APIOperations.get(nil, "#{RESOUCE_URL}/activities", connect_key)[:activities]
    end

  end
end